
QGIS Application - Bug report #17070

saving a layer with boolean fields fails

2017-08-25 11:21 AM - Regis Haubourg

Status: Closed

Priority: High

Assignee: Paul Blottiere

Category: Vectors

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24969

Description

I have a postgres layer with a boolean field. 

Save as gpkg fails in master with this message: 

Export to vector file failed.

Error: unsupported type for field est_selective

using value maps substitution works.

Associated revisions

Revision 3bbe71d9 - 2017-11-15 05:15 PM - Paul Blottiere

Fixes #17070 by considering bool fields as OGR integer fields with boolean subtype

Revision bc90210e - 2017-11-15 09:30 PM - Paul Blottiere

Merge pull request #5620 from pblottiere/bugfix_gpkg_bool

[bugfix]  Fixes #17070 by considering bool fields as OGR integer fields with boolean subtype

History

#1 - 2017-08-25 11:22 AM - Regis Haubourg

Using spatialite provider target produces the same error.

#2 - 2017-08-25 12:27 PM - Regis Haubourg

- Subject changed from saving a layer with boolean fields to gpkg fails to saving a layer with boolean fields fails

- Regression? changed from No to Yes

In fact, shp are affected too, so all file types I suppose

#3 - 2017-08-26 09:55 AM - Giovanni Manghi
- Category changed from Data Provider/OGR to Vectors

Does it work as expected on 2.18.* ?

#4 - 2017-08-28 09:34 AM - Regis Haubourg

Yes, tested right now. 

Boolean are converted to string fields with "f/t" values in it. 

And BTW, saving takes ages in master when it's only a few seconds in release.

#5 - 2017-08-28 10:16 AM - Giovanni Manghi

And BTW, saving takes ages in master when it's only a few seconds in release.

better file a separate regression ticket.

#6 - 2017-11-08 04:05 PM - Paul Blottiere

- Assignee set to Paul Blottiere

#7 - 2017-11-15 09:30 PM - Paul Blottiere

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|3bbe71d99e0678dd11be720f1ed0f6d4c589efa6.
